Bug 850314 - Introduce new systemd-rpm macros in shellinabox spec file
Introduce new systemd-rpm macros in shellinabox spec file
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: shellinabox (Show other bugs)
18
All Linux
medium Severity medium
: ---
: ---
Assigned To: Simone Caronni
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 850016
  Show dependency treegraph
 
Reported: 2012-08-21 10:07 EDT by Lukáš Nykrýn
Modified: 2012-09-26 04:59 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 14:01:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lukáš Nykrýn 2012-08-21 10:07:20 EDT
Fedora 18 changes the way how to work with services in spec files. It introduces new macros - %systemd_post, %systemd_preun and %systemd_postun; which replace scriptlets from Fedora 17 and older (see https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd, https://bugzilla.redhat.com/show_bug.cgi?id=850016).
Comment 1 Fedora Update System 2012-09-12 06:24:35 EDT
shellinabox-2.14-9.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/shellinabox-2.14-9.el5
Comment 2 Fedora Update System 2012-09-12 06:25:07 EDT
shellinabox-2.14-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/shellinabox-2.14-9.el6
Comment 3 Fedora Update System 2012-09-12 06:25:58 EDT
shellinabox-2.14-9.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/shellinabox-2.14-9.fc16
Comment 4 Fedora Update System 2012-09-12 06:26:32 EDT
shellinabox-2.14-9.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/shellinabox-2.14-9.fc17
Comment 5 Fedora Update System 2012-09-12 06:27:14 EDT
shellinabox-2.14-9.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/shellinabox-2.14-9.fc18
Comment 6 Fedora Update System 2012-09-12 15:11:29 EDT
Package shellinabox-2.14-9.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing shellinabox-2.14-9.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13852/shellinabox-2.14-9.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-09-17 14:01:48 EDT
shellinabox-2.14-9.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-09-17 18:36:44 EDT
shellinabox-2.14-9.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-09-26 04:59:35 EDT
shellinabox-2.14-9.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.